html,
html * {
  font-family: "Roboto", sans-serif;
}

:root {
  --main_color: #f7695b;
}

.topnav .navbar-nav .nav-link {
  font-size: 13px;
  padding: 1rem 0.75rem;
}

.topnav .navbar-nav .nav-link.nuxt-link-exact-active {
  color: #556ee6;
  background-color: transparent;
}

.ml_4 {
  margin-left: 4px;
}

.login_form label.el-form-item__label {
  font-size: 13px;
  line-height: 5px !important;
  padding: 0;
  margin-bottom: 0px !important;

}

.el-form-item--mini,
.el-form-item--small {
  margin-bottom: 23px !important;
}

.el-form-item__error {
  font-size: 12px !important;
  text-transform: capitalize;
  padding-top: 4px !important;
  padding-left: 2px;
  color: #de0000 !important;
  position: relative;
  margin-bottom: 5px;
}

.el-input__inner {
  border-radius: 2px !important;
}

.el-table th {
  font-weight: 700;
  color: #444;
}

.el-table tr td {
  font-weight: 500;
  color: #777;
}

.el-table tr td .t_mute {
  font-weight: 400;
  color: #999;
}

.action_col .action_btn {
  padding: 4px !important;
  font-size: 11px !important;
  line-height: 11px;
  border-radius: 2px;
}

.action_col.mb_1 .action_btn {
  margin-bottom: 3px;
}

.el-table .caret-wrapper {
  width: 18px !important;
}

.ml_auto {
  margin-left: auto;
}

.mr_auto {
  margin-right: auto;
}

.header_btn .btn {
  font-size: 12px;
  padding: 0px 10px;
  border-radius: 2px;
  line-height: 25px;
}

.fl_left {
  float: left;
}

.fl_right {
  float: right;
}

.el-table .cell {
  line-height: 1.2rem !important;
}

.custom_form .el-form-item--mini .el-form-item__label {
  /* line-height: 1.2rem; */
  margin-bottom: 5px;
  padding: 0;
}

.el-range-editor--mini .el-range-separator {
  min-width: 30px;
}

.el-table--mini td {
  padding: 6px 0;
}

.el-table--mini th {
  padding: 0;
}

.drawer_footer {
  position: absolute;
  top: calc(100vh - 50px);
  width: 100%;
}

.demo-drawer__content .card-body {
  max-height: calc(100vh - 100px);
  overflow-y: auto;
}

.align-top .el-checkbox__input {
  vertical-align: top;
}

.el-message {
  left: unset;
  right: -180px;
}

.el-table th > .cell {
  text-transform: capitalize;
}

.number_right .el-input--mini .el-input__inner {
  /* text-align: right; */
  padding: 0px 0px 0px 10px;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  margin: 0;
}

.price_error {
  background: #ff000026;
  color: #000;
}

.price_success {
  background-color: #34c38f29 !important;
  color: #000;
}

.custom_radio .el-radio-group label {
  font-weight: 500;
  margin-bottom: 0;
}

.scheme_check {
  margin-top: 0 !important;
  vertical-align: middle !important;
}

.number_right .el-form-item--mini.el-form-item,
.el-form-item--small.el-form-item {
  margin-bottom: 0 !important;
}

.number_right .el-form-item__error {
  position: relative !important;
}

.dropdown.d-inline-block:hover .dropdown-menu {
  top: 100% !important;
}

.dropdown.d-inline-block:hover .dropdown-menu {
  display: block;
}

.min_head {
  height: 36px;
}

.border_left {
  border-left: 1px solid #eff2f7 !important;
}

.border_right {
  border-right: 1px solid #eff2f7 !important;
}

.line_height_32px {
  line-height: 32px;
}

.loading_start {
  display: block;
  position: absolute;
  width: 100%;
  height: 100%;
  top: 30px;
  z-index: 1000;
  background: #fff;
}

.loading_start .col-md-12 {
  width: 100%;
  height: 30px;
  background-color: #000;
  margin-bottom: 30px;
}

.loading_start .row {
  margin: 0;
}

.loading_wrapper {
  min-height: 1200px;
}

@-webkit-keyframes placeHolderShimmer {
  0% {
    background-position: -468px 0;
  }

  100% {
    background-position: 468px 0;
  }
}

@keyframes placeHolderShimmer {
  0% {
    background-position: -468px 0;
  }

  100% {
    background-position: 468px 0;
  }
}

.text-line {
  -webkit-animation-duration: 1.25s;
  animation-duration: 1.25s;
  -webkit-animation-fill-mode: forwards;
  animation-fill-mode: forwards;
  -webkit-animation-iteration-count: infinite;
  animation-iteration-count: infinite;
  -webkit-animation-name: placeHolderShimmer;
  animation-name: placeHolderShimmer;
  -webkit-animation-timing-function: linear;
  animation-timing-function: linear;
  background: #f6f6f6;
  background: linear-gradient(to right, #f6f6f6 8%, #f0f0f0 18%, #f6f6f6 33%);
  background-size: 800px 104px;
  height: 96px;
  position: relative;
}

.text-line {
  height: 40px;
  width: 230px;
}

.el-dialog__wrapper.show_dialog {
  display: block !important;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 1000;
}

.el-select-dropdown__item {
  height: auto;
}

.m_500 {
  margin-bottom: 500px !important;
}

a.del_file {
  position: absolute;
  top: 0;
  right: 0;
  z-index: 1000;
  background: #333;
  line-height: 16px;
  font-size: 16px;
  padding: 5px;
  color: #fff;
  cursor: pointer;
}

.file_wrapper {
  position: relative;
}

.tableFixHead {
  display: block;
}

.tableFixHead {
  overflow: auto;
  max-height: 350px;
}

.tableFixHead thead th {
  position: sticky;
  top: 0;
  z-index: 11;
  background: #fff;
}

/* .table-bordered.tableFixHead tr > td:nth-child(2) {
    position: sticky;
    left: 0;
    background: #fff;
    z-index: 10;
}
.table-bordered.tableFixHead tr > th:nth-child(2) {
    left: 0;
    z-index: 12;
    top: 0;
    background: #fff;
} */

/* .tableFixHead tr td {
    min-width: 150px;
} */

/* .td_150{
    min-width: 150px;
}
.td_250{
    min-width: 250px;
}
.sticky_td{
    position: sticky;
    left: 0;
    background-color: #fff !important;
    z-index: 10;
}

.sticky_th{
    left: 0;
    z-index: 12 !important;
    top: 0;
    background-color: #fff !important;
}

 */
tr.tr_hide {
  display: none;
}

.el_sm .el-radio-button--mini .el-radio-button__inner {
  padding: 7px 10px;
}

.el_sm .el-radio-button--mini {
  margin-bottom: 0px;
}

.scheme_filter_cat {
  float: right;
  font-size: 12px;
  font-weight: 500;
}

/* css for fixing collapsing header */

@media screen and (min-width: 1024px) {
  .collapse {
    display: block;
    height: auto !important;
    visibility: visible;
  }

  .collapsing {
    position: relative;
    height: unset !important;
    overflow: hidden;
  }
}

/* deashboard design started================ */
.main-content {
  background: transparent !important;
}

.Dashboard-page-content {
  padding-top: 122px;
}

.Dashboard-panel-header {
  background: linear-gradient(-45deg, #062349, #2a3042) !important;
  padding: 10px 10px;
  text-align: center;
  letter-spacing: 1px;
}

.Dashboard-page-inner {
  padding: 0px 20px;
}

.card-category {
  background-color: transparent !important;
  padding: 30px 15px;
  display: flex;
  justify-content: center;
  align-items: center;
}

@media screen and (max-width: 1350px) {
  .card-category {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
  }

  .deta-table-ds {
    overflow-x: scroll !important;
  }

  .deshboard-table .ds-main-table {
    white-space: nowrap;
  }
}

.card-category .card-body {
  padding: 1.25rem 0px !important;
}

.card-category .card {
  flex: 1 1 21rem;
  flex-wrap: wrap;
  align-self: normal;
  box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
  border-radius: 10%;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 15px auto;
  cursor: pointer;
  transform: perspective(1500px) rotateY(20deg);
  border-radius: 1rem;
  box-shadow: rgba(0, 0, 0, 0.17) 0px -23px 25px 0px inset,
    rgba(0, 0, 0, 0.15) 0px -36px 30px 0px inset,
    rgba(0, 0, 0, 0.1) 0px -79px 40px 0px inset, rgba(0, 0, 0, 0.06) 0px 2px 1px,
    rgba(0, 0, 0, 0.09) 0px 4px 2px, rgba(0, 0, 0, 0.09) 0px 8px 4px,
    rgba(0, 0, 0, 0.09) 0px 16px 8px, rgba(0, 0, 0, 0.09) 0px 32px 16px;
  transition: transform 1s ease 0s;
}

.card-category .card:hover {
  filter: grayscale(100%);
  transform: perspective(3000px) rotateY(5deg);
}

.card-category .card h5 {
  color: white;
  word-wrap: break-word;
}

.card-category .card h6 {
  color: white;
  font-size: 1rem;
}

.card-category .card-body {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.card-category .card-body h5.card-title {
  margin-bottom: 17px;
  font-size: 1.5rem;
  font-weight: 500;
  word-break: break-all;
  /* word-wrap: break-word; */
}

.card-category .card-body .card-subtitle {
  margin-bottom: 17px;
  font-size: 2.2rem;
  text-align: center;
  font-weight: 500;
}

.wallet_menu_refresh {
  color: #556ee6 !important;
  cursor: pointer;
  font-weight: bold;
  font-size: 1.2rem;
}

.wallet_menu_refresh:hover {
  color: black;
}

.card-category .card-body .wallet-bl-icon {
  display: flex;
  flex-direction: column;
  gap: 10px;
  color: white;
}

.card-category .card-body .wallet-bl-icon p {
  margin: 0px;
  font-size: 1rem;
  font-weight: 400;
  text-align: center;
  word-wrap: break-word;
}

.card-category .card-body .wallet-bl-icon span {
  font-size: 1.1rem;
  font-weight: bolder;
}

.c-1 {
  background-color: #488a99;
}

.c-2 {
  background-color: #dbae58;
}

.c-3 {
  background-color: #ac3e31;
}

.c-4 {
  background-color: #6ab187;
}

.c-5 {
  background-color: #4cb5f5;
}

.c-6 {
  background-color: #94c44d;
}

.deshboard-table {
  padding: 50px 15px 60px 15px;
  overflow: hidden;
}

.ds-main-table tr {
  border-bottom: 1px solid #b5cfc0;
}

.ds-main-table th h1 {
  font-weight: bold;
  font-size: 1.2em;
  color: #2b2b2b;
  text-align: left;
  margin: 0px;
}

.ds-main-table th .center-text {
  display: flex;
  justify-content: center;
  align-items: center;
}

.ds-main-table .coloride1 {
  background-color: #6ab187;
  border-right: 1px solid #b5cfc0;
}

.ds-main-table .coloride2 {
  background-color: #6ab187;
}

.ds-main-table td {
  font-weight: normal;
  font-size: 1em;
  -webkit-box-shadow: 0 2px 2px -2px #0e1119;
  -moz-box-shadow: 0 2px 2px -2px #0e1119;
  box-shadow: 0 2px 2px -2px #0e1119;
}

.ds-main-table {
  text-align: left;
  overflow: hidden;
  width: 100%;
  margin: 0 auto;
  display: table;
  padding: 0 0 8em 0;
  border-radius: 15px;
}

.ds-main-table td {
  padding-top: 20px;
  padding-bottom: 20px;
  padding-left: 10px;
}

.ds-main-table th {
  padding: 15px 0px;
  padding-left: 10px !important;
  padding-right: 10px !important;
}

.ds-main-table tr:nth-child(odd) {
  /* background-color: #e4bcad; */
  background-color: #e4dccf;
}

.ds-main-table tr:nth-child(even) {
  /* background-color: #DBAE58; */
  background-color: #e9d1ca;
}

.ds-main-table th {
  /* background-color: #e9e9e9; */
  background-color: #f9f2ed;
  font-size: 0.8rem;
}

.ds-main-table td:first-child {
  color: #fb667a;
}

.ds-main-table tr:hover {
  /* background-color: #e9e9e9; */
  background-color: #f9f2ed;

  color: #34a179;
}

.ds-main-table td {
  font-size: 0.9rem;
  font-weight: bolder;
}

.ds-main-table td:hover {
  background-color: #6ab187;
  color: #403e10;
  /* 
    box-shadow: #7F7C21 -1px 1px, #7F7C21 -2px 2px, #7F7C21 -3px 3px, #7F7C21 -4px 4px, #7F7C21 -5px 5px, #7F7C21 -6px 6px;
    transform: translate3d(0px, -4px, 0); */
  border-radius: 6px;
  transition-delay: 0s;
  transition-duration: 0.4s;
  transition-property: all;
  transition-timing-function: line;
}

@media (max-width: 800px) {
  .ds-main-table td:nth-child(4),
  .ds-main-table th:nth-child(4) {
    display: none;
  }
}

/*========================================================================================== 
==============================New TangoPe css style start================================
========================================================================================== */

body[data-topbar="dark"] #page-topbar {
  background-color: #ffffff;
}
body[data-topbar="dark"] .header-item {
  color: #000000;
}
body[data-topbar="dark"] .noti-icon i {
  color: #000000;
}
body[data-topbar="dark"] .header-item:hover {
  color: #000000;
}

/* .bg-primary.bg-soft {
  background-color: rgb(85 210 230 / 57%) !important;
  overflow: hidden;
} */
.logo-log {
  display: flex;
  justify-content: center;
}
.login-log-btn {
  background: #ec7528;
}
.login-log-background {
  width: 430px;
  height: 520px;
  position: absolute;
  transform: translate(-50%, -50%);
  left: 50%;
  top: 50%;
}
.login-log-shape {
  height: 200px;
  width: 200px;
  position: absolute;
  border-radius: 50%;
}
.login-log-shape:first-child {
  background: linear-gradient(#1845ad, #23a2f6);
  left: -80px;
  top: -80px;
}
.login-log-shape:last-child {
  background: linear-gradient(to right, #ff512f, #f09819);
  right: -30px;
  bottom: -80px;
}
form.login-log-fm {
  height: 520px;
  width: 400px;
  background-color: rgba(255, 255, 255, 0.13);
  position: absolute;
  transform: translate(-50%, -50%);
  top: 50%;
  left: 50%;
  border-radius: 10px;
  backdrop-filter: blur(10px);
  border: 2px solid rgba(255, 255, 255, 0.1);
  box-shadow: 0 0 40px rgba(8, 7, 16, 0.6);
  padding: 50px 35px;
}
form.login-log-fm * {
  /* color: #ffffff; */
  letter-spacing: 0.5px;
  outline: none;
  border: none;
}
form.login-log-fm label.el-form-item__label,
form.login-log-fm .el-form-item.is-error .el-input__inner,
form.login-log-fm .el-input--small .el-input__inner {
  color: #000000b9;
}

.topnav .navbar-nav .nav-link {
  font-size: 13.3px;
  padding: 1rem 0.5rem;
}
.topnav .navbar-nav .nav-link i {
  font-size: 12px;
}
.topnav .navbar-nav .dropdown-item {
  transition: all 0.5s ease;
}
.topnav .navbar-nav .dropdown-item:hover {
  color: #556ee6;
  box-shadow: rgb(99 99 99 / 20%) 0px 2px 8px 0px;
  /* box-shadow: rgb(0 0 0 / 24%) 0px 3px 8px; */
  transform: translateX(10px);
}
ul.sub-menu.mm-collapse {
  display: none;
}
ul.sub-menu.mm-collapse.mm-show {
  display: block;
}
.logo-shadow {
  filter: drop-shadow(1px 2px 1px rgba(255, 255, 255, 0.9));
}
